# uddi2__relatedBusinessInfo Class Reference

Schema urn:uddi-org:api_v2:"relatedBusinessInfo". More...

`#include <uddi_v2.h>`

List of all members.

## Public Attributes

uddi2__businessKey | businessKey
| Element reference "urn:uddi-org:api_v2":businessKey.
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded.
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
std::vector< uddi2__sharedRelationships * > | sharedRelationships:2
| Vector of uddi2__sharedRelationships* with length 0..2.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"relatedBusinessInfo".

## Member Data Documentation

uddi2__businessKey uddi2__relatedBusinessInfo::businessKey

| Element reference "urn:uddi-org:api_v2":businessKey. Required element

std::vector<uddi2__description* > uddi2__relatedBusinessInfo::description

| Vector of uddi2__description* with length 0..unbounded.

std::vector<uddi2__name* > uddi2__relatedBusinessInfo::name

| Vector of uddi2__name* with length 0..unbounded.

std::vector<uddi2__sharedRelationships*> uddi2__relatedBusinessInfo::sharedRelationships

| Vector of uddi2__sharedRelationships* with length 0..2.

struct soap* uddi2__relatedBusinessInfo::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h